local sti = require 'libs/sti'
local xScale
local yScale

function love.load()
    -- uncomment the line below if using zerobrane debugging (http://notebook.kulchenko.com/zerobrane/love2d-debugging)
    -- if arg[#arg] == "-debug" then require("mobdebug").start() end
    oldWidth, oldHeight = love.graphics.getWidth(), love.graphics.getHeight()
    love.window.setFullscreen(true)
    newWidth, newHeight = love.graphics.getWidth(), love.graphics.getHeight()
    xScale = newWidth / oldWidth
    yScale = newHeight / oldHeight
    map = sti('assets/maps/mymap.lua')
end

function love.update(dt)
    map:update(dt)
end

function love.draw()
    dx = love.graphics.getWidth() / 2 / xScale
    dy = love.graphics.getHeight() / 2 / yScale

    love.graphics.scale(xScale, yScale)

    map:draw(0, 0, xScale, yScale)
end

function love.keypressed(k)
   if k == 'escape' then
      love.event.quit()
   end
end
